import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {ScheduleModule} from "schedule";

import {DemoScheduleButtonBarComponent} from "./demo-schedule-button-bar.component";
import {DemoScheduleButtonBarLayersManagerComponent} from "./components/demo-schedule-button-bar-layers-manager/demo-schedule-button-bar-layers-manager.component";
import {DemoScheduleButtonBarRadarComponent} from "./components/demo-schedule-button-bar-radar/demo-schedule-button-bar-radar.component";

@NgModule({
  declarations: [
    DemoScheduleButtonBarComponent,
    DemoScheduleButtonBarLayersManagerComponent,
    DemoScheduleButtonBarRadarComponent,
  ],
  imports: [
    // Angular modules
    CommonModule,
    // Custom modules
    ScheduleModule
  ],
  exports: [DemoScheduleButtonBarComponent]
})
export class DemoScheduleButtonBarModule { }
