import {trigger, transition, state, style, animate} from "@angular/animations";

// Angular animations.

export const enterLeaveAnimation = trigger("enterLeaveAnimation", [
  state("void", style({
    transform: "scale(0.9)",
    opacity: 0
  })),
  transition("* => *", animate("0.2s"))
]);
